
execute if score @s astrune matches 2 run tellraw @s[tag=!op] ["",{"text":"You cannot use these commands","color":"red"}]
execute if score @s astrune matches 2 run scoreboard players reset @s[tag=!op] astrune
execute if score @s astrune matches 100.. run tellraw @s[tag=!op] ["",{"text":"You cannot use these commands","color":"red"}]
execute if score @s astrune matches 100.. run scoreboard players reset @s[tag=!op] astrune

execute if score @s[tag=op] astrune matches 11 run scoreboard players add #reload_message n 1
execute unless score #reload_message n matches 0..1 run scoreboard players set #reload_message n 0

function #astrune:settings_data_pack_manage

execute at @s run playsound entity.enderman.teleport master @s[scores={astrune=1..}] ~ ~ ~ 0.25 2 0.25
scoreboard players set @s[scores={astrune=11..20}] astrune 1
scoreboard players set @s[scores={astrune=21..30}] astrune 2
scoreboard players set @s[scores={astrune=31..40}] astrune 3
scoreboard players set @s[scores={astrune=41..50}] astrune 4

tellraw @s[scores={astrune=1}] ["",{"text":"Astrune data pack menu: ","color":"blue","bold":"true"}]
tellraw @s[scores={astrune=2},tag=op] ["",{"text":"Settings: ","color":"blue","bold":"true"}]
tellraw @s[scores={astrune=3}] ["",{"text":"Commands: ","color":"blue","bold":"true"}]
tellraw @s[scores={astrune=4}] ["",{"text":"Links: ","color":"blue","bold":"true"}]

execute unless score #reload_message n matches 1 run tellraw @s[scores={astrune=1},tag=op] ["",{"text":"Reload message: ","color":"gray"},{"text":"Disabled","color":"red","clickEvent":{"action":"run_command","value":"/trigger astrune set 11"}}]
execute if score #reload_message n matches 1 run tellraw @s[scores={astrune=1},tag=op] ["",{"text":"Reload message: ","color":"gray"},{"text":"Enabled","color":"green","clickEvent":{"action":"run_command","value":"/trigger astrune set 11"}}]
tellraw @s[scores={astrune=1},tag=op] ["",{"text":"Settings","color":"gray","clickEvent":{"action":"run_command","value":"/trigger astrune set 2"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Click to toggle data pack settings","color":"gray"}]}}}]
tellraw @s[scores={astrune=1}] ["",{"text":"Commands","color":"gray","clickEvent":{"action":"run_command","value":"/trigger astrune set 3"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Click to see all commands provided by data packs made by Astrune","color":"gray"}]}}}]
tellraw @s[scores={astrune=1}] ["",{"text":"Links","color":"gray","clickEvent":{"action":"run_command","value":"/trigger astrune set 4"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Click to get links to other resources","color":"gray"}]}}}]



#Data Pack Settings

execute if score @s astrune matches 2 run function #astrune:settings_data_pack_list

#Commands

execute if score @s astrune matches 3 run function #astrune:commands

#Links

tellraw @s[scores={astrune=4}] ["",{"text":"Discord Invite","color":"gray","clickEvent":{"action":"open_url","value":"https://discord.gg/FBDfbyY"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click to join Astrune's discord","color":"gray"}]}}]
tellraw @s[scores={astrune=4}] ["",{"text":"Youtube","color":"gray","clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UCMHyVHeflZMFhyHiDp3hyYw/"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click to go to Astrune's youtube channel","color":"gray"}]}}]
tellraw @s[scores={astrune=4}] ["",{"text":"Website","color":"gray","clickEvent":{"action":"open_url","value":"https://astrune.weebly.com/"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click to go to Astrune's website","color":"gray"}]}}]
tellraw @s[scores={astrune=4}] ["",{"text":"Planet Minecraft","color":"gray","clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/member/astrune/"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click to go to Astrune's PMC profile page","color":"gray"}]}}]
tellraw @s[scores={astrune=4}] ["",{"text":"Minecraft Wiki","color":"gray","clickEvent":{"action":"open_url","value":"https://minecraft.gamepedia.com/Minecraft_Wiki"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click to go to the Minecraft Wikipedia","color":"gray"}]}}]
tellraw @s[scores={astrune=4}] ["",{"text":"Predicate Generator","color":"gray","clickEvent":{"action":"open_url","value":"https://misode.github.io/predicate/"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click to go to a predicate generator","color":"gray"}]}}]

tellraw @s[scores={astrune=2..99}] ["",{"text":"Home","color":"blue","clickEvent":{"action":"run_command","value":"/trigger astrune set 1"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Click to go to the astrune data packs main menu","color":"gray"}]}}}]
tellraw @s[scores={astrune=100..999}] ["",{"text":"Back","color":"blue","clickEvent":{"action":"run_command","value":"/trigger astrune set 2"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Click to go to the data pack settings menu","color":"gray"}]}}}]

scoreboard players reset @s astrune
